ZIP_SOURCE_DATA(3)

NAME
zip_source_buffer - create zip data source from buffer

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

struct zip_source *
zip_source_buffer(struct zip *archive, const void *data, zip_uint64_t len, int freep);

DESCRIPTION
The function zip_source_buffer() creates a zip source from the buffer data of size len. If freep is non-zero, the buffer will be freed when it is no longer needed.

RETURN VALUES
Upon successful completion, the created source is returned. Otherwise, NULL is returned and the error code in archive is set to indicate the error.

ERRORS
zip_source_buffer() fails if:

[ZIP_ER_INVAL]
    len is greater than zero and data is NULL.

[ZIP_ER_MEMORY]
    Required memory could not be allocated.

SEE ALSO
libzip(3), zip_add(3), zip_replace(3), zip_source_file(3), zip_source_filep(3), zip_source_free(3), zip_source_function(3), zip_source_zip(3)

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>